using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace HWaveNet
{
	public class HWave // Prototype HWave.dll data and functions in managed C# for .Net
	{
		[DllImport("HWave.dll", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
		public static extern UInt32 HWave_Start(UInt32 DeviceIndex, Int32 Milliseconds, Int32 BufferDepth);

		[DllImport("HWave.dll", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
		public static extern UInt32 HWave_Stop(UInt32 DeviceIndex);

		[DllImport("HWave.dll", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
		public static extern UInt32 HWave_Queue(UInt32 DeviceIndex, [In] UInt16[16] Data);

		[DllImport("HWave.dll", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
		public static extern UInt32 HWave_QueueMulti(UInt32 DeviceIndex, [In] UInt16[] pDACData, UInt32 DACDataCount);
	}
}
